package com.ruoyi.project.ehs.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.ehs.domain.TMatter;

/**
 * 工作票-危害物质Mapper接口
 * 
 * @author ruoyi
 * @date 2021-09-22
 */
public interface TMatterMapper 
{
    /**
     * 查询工作票-危害物质
     * 
     * @param id 工作票-危害物质ID
     * @return 工作票-危害物质
     */
    public TMatter selectTMatterById(Long id);

    /**
     * 查询工作票-危害物质列表
     * 
     * @param tMatter 工作票-危害物质
     * @return 工作票-危害物质集合
     */
    @DataScope(deptAlias = "d")
    public List<TMatter> selectTMatterList(TMatter tMatter);

    /**
     * 新增工作票-危害物质
     * 
     * @param tMatter 工作票-危害物质
     * @return 结果
     */
    public int insertTMatter(TMatter tMatter);

    /**
     * 修改工作票-危害物质
     * 
     * @param tMatter 工作票-危害物质
     * @return 结果
     */
    public int updateTMatter(TMatter tMatter);

    /**
     * 删除工作票-危害物质
     * 
     * @param id 工作票-危害物质ID
     * @return 结果
     */
    public int deleteTMatterById(Long id);

    /**
     * 批量删除工作票-危害物质
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTMatterByIds(Long[] ids);
}
